> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Gfe Request

> Create a new Good Faith Exam request.

Creates either an AT_HOME appointment or ON_DEMAND in-person visit with SpaKinect
and stores the GFE record in the database. For AT_HOME visits, the patient will
receive notifications at their email/phone to complete the virtual exam.



## OpenAPI

````yaml post /spakinect/gfe
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /spakinect/gfe:
    post:
      tags:
        - provider
        - spakinect
      summary: Create Gfe Request
      description: >-
        Create a new Good Faith Exam request.


        Creates an appointment with SpaKinect and stores the GFE record in the
        database.

        The patient will receive notifications at their email/phone to complete
        the virtual exam.
      operationId: create_gfe_request_spakinect_gfe_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GFECreateRequest'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GFEDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GFECreateRequest:
      properties:
        patientId:
          type: string
          title: Patientid
        locationId:
          type: string
          title: Locationid
        appointmentTime:
          type: string
          format: date-time
          title: Appointmenttime
        requestedTreatments:
          items:
            type: string
          type: array
          title: Requestedtreatments
        patientEmail:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Patientemail
        patientPhone:
          anyOf:
            - type: string
            - type: 'null'
          title: Patientphone
      type: object
      required:
        - patientId
        - locationId
        - appointmentTime
        - requestedTreatments
      title: GFECreateRequest
      description: Request to create a new Good Faith Exam appointment
    GFEDetail:
      properties:
        id:
          type: string
          title: Id
        patientId:
          type: string
          title: Patientid
        spakinectGfeId:
          type: string
          title: Spakinectgfeid
        createdDate:
          type: string
          format: date-time
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        status:
          $ref: '#/components/schemas/GFEStatus'
        requestedTreatments:
          items:
            type: string
          type: array
          title: Requestedtreatments
        patientDetails:
          $ref: '#/components/schemas/PatientDetails'
        document:
          anyOf:
            - $ref: '#/components/schemas/DocumentSummary'
            - type: 'null'
      type: object
      required:
        - id
        - patientId
        - spakinectGfeId
        - createdDate
        - status
        - requestedTreatments
        - patientDetails
      title: GFEDetail
      description: Detailed Good Faith Exam information including SpaKinect data
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GFEStatus:
      type: string
      enum:
        - Processing
        - Pending Review
        - Approved
        - Rejected
        - Completed
        - Cancelled
        - Cancelled by client
      title: GFEStatus
      description: Status values for Good Faith Exam visits from SpaKinect API
    PatientDetails:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Patient's full name
        first_name:
          type: string
          title: First Name
          description: Patient's first name
        last_name:
          type: string
          title: Last Name
          description: Patient's last name
        email:
          type: string
          title: Email
          description: Patient's email address
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
          description: Patient's phone number
      type: object
      required:
        - first_name
        - last_name
        - email
      title: PatientDetails
    DocumentSummary:
      properties:
        id:
          type: string
          title: Id
        patientId:
          type: string
          title: Patientid
        filePath:
          type: string
          title: Filepath
        fileType:
          type: string
          title: Filetype
        title:
          type: string
          title: Title
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        docType:
          $ref: '#/components/schemas/DocumentType'
        signatureUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Signatureurl
      type: object
      required:
        - id
        - patientId
        - filePath
        - fileType
        - title
        - summary
        - docType
        - signatureUrl
      title: DocumentSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DocumentType:
      type: string
      enum:
        - LAB
        - PHARMACY
        - IMAGE
        - REPORT
        - OTHER
        - CONSENT
        - NOTE_UPLOAD
      title: DocumentType

````